#!/usr/bin/python3
if __name__ == '__main__':
  import sys
  import os
  sys.path.insert(0, os.path.abspath('config'))
  import configure
  configure_options = [
    '--CC_LINKER_FLAGS=-Wl,-z,defs',
    '--CXX_LINKER_FLAGS=-Wl,--no-as-needed -Wl,-z,defs',
    '--PETSC_ARCH=arm-linux-gnueabihf-complex-debug-64',
    '--build=arm-linux-gnueabihf',
    '--includedir=${prefix}/include',
    '--infodir=${prefix}/share/info',
    '--libdir=${prefix}/lib/arm-linux-gnueabihf',
    '--localstatedir=/var',
    '--mandir=${prefix}/share/man',
    '--prefix=/usr/lib/petscdir/petsc64-3.22/arm-linux-gnueabihf-complex-debug',
    '--runstatedir=/run',
    '--sysconfdir=/etc',
    '--with-64-bit-indices',
    '--with-blas-lib=-lblas',
    '--with-cc=mpicc',
    '--with-cxx-dialect=C++11',
    '--with-cxx=mpicxx',
    '--with-debugging=1',
    '--with-dependency-tracking=0',
    '--with-fc=mpif90',
    '--with-fftw-include=[]',
    '--with-fftw-lib=-lfftw3 -lfftw3_mpi',
    '--with-fftw=1',
    '--with-hdf5-include=/usr/include/hdf5/mpich',
    '--with-hdf5-lib=-L/usr/lib/arm-linux-gnueabihf/hdf5/mpich -lhdf5 -Wl,-Bsymbolic-functions -Wl,-z,relro -L/usr/lib/arm-linux-gnueabihf/mpich/lib -lmpichfort -lmpich -lpthread -lhwloc ',
    '--with-lapack-lib=-llapack',
    '--with-library-name-suffix=64_complex',
    '--with-maintainer-mode=0',
    '--with-mumps-include=[]',
    '--with-mumps-lib=-ldmumps_64 -lzmumps_64 -lsmumps_64 -lcmumps_64 -lmumps_common_64 -lpord_64',
    '--with-mumps=1',
    '--with-opencl=1',
    '--with-option-checking=0',
    '--with-pic=1',
    '--with-ptscotch-include=/usr/include/scotch-int64',
    '--with-ptscotch-lib=-Wl,-rpath=/usr/lib/arm-linux-gnueabihf/scotch-int64 -L/usr/lib/arm-linux-gnueabihf/scotch-int64 -lptesmumps -lptscotch -lptscotcherr',
    '--with-ptscotch=1',
    '--with-scalapack-lib=-lscalapack-mpich',
    '--with-scalapack=1',
    '--with-scalar-type=complex',
    '--with-shared-libraries',
    '--with-silent-rules=0',
    '--with-yaml=1',
    'CFLAGS=-g -O2 -Werror=implicit-function-declaration -ffile-prefix-map=/build/petsc-7ZBnO7/petsc-3.22.1+dfsg1=. -fstack-protector-strong -Wformat -Werror=format-security -fno-stack-clash-protection -fPIC',
    'CPPFLAGS=-D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64 -D_TIME_BITS=64 -Wdate-time -D_FORTIFY_SOURCE=3',
    'CXXFLAGS=-g -O2 -ffile-prefix-map=/build/petsc-7ZBnO7/petsc-3.22.1+dfsg1=. -fstack-protector-strong -Wformat -Werror=format-security -fno-stack-clash-protection -fPIC',
    'FCFLAGS=-g -O2 -ffile-prefix-map=/build/petsc-7ZBnO7/petsc-3.22.1+dfsg1=. -fstack-protector-strong -fno-stack-clash-protection -fPIC -ffree-line-length-0',
    'FFLAGS=-g -O2 -ffile-prefix-map=/build/petsc-7ZBnO7/petsc-3.22.1+dfsg1=. -fstack-protector-strong -fno-stack-clash-protection -fPIC -ffree-line-length-0',
    'LDFLAGS=-Wl,-Bsymbolic-functions -Wl,-z,relro -fPIC',
    'MAKEFLAGS=w',
  ]
  configure.petsc_configure(configure_options)
